[scribus] Ghost Script?

arthamax at sbcglobal.net arthamax at sbcglobal.net
Mon Jun 1 21:35:44 CEST 2009

I am using a Mac PPC G4 with Tiger 10.4.11 and I recently downloaded  
Scribus_1.3.5SVN_RC1_170509.dmg (2009-05-17). When I installed and  
opened it a window appeared saying I needed Ghostscript.

I found and downloaded ghostscript 8.64 along with a "corresponding"  
ghostpdl 1.54(?). They were folders with no info or installation  
instructions and they're just sitting on the desktop.

So I went to "http://docs.scribus.net/index.php?lang=en&page=readme- 
macosx" were it says:

"Before Installing Scribus: Install Ghostscript for Mac OSX –  
Ghostscript 8.60+ or newer is recommended. This is important for EPS,  
PS import and printing. You may also install this via MacPorts or  
Fink. The end result is the same."

"Ghostscript 8.60+" above was a link to download Ghostscript which  
included an installation procedure.

So I deleted the Scribus application, downloaded and installed  
Ghostscript 8.60+ and then downloaded and reinstalled Scribus.

When I opened Scribus the window about Ghostscript being needed did  
not reappear but when I clicked on "About Scribus" the window opened  

Scribus Version 1.3.5.rc1
17 May 2009
Build ID: C-C-T-F-Q-Mac/Aqua-Big
Using Ghostscript version 8.57

The Ghostscript version is not the recommended 8.60+ but 8.57 and I  
would like to upgrade to the Ghostscript 8.64 on my desktop but I  
don't know how to do it.

At Scribus > Preferences > External Tools there is a path "/usr/local/ 
bin/gs" and when I click on "Change..." and the "Locate Ghostscript"  
dialog appears but I don't know how to use it to upgrade to  
Ghostscript 8.64.

At Scribus Help > Advanced Ghostscript and GSview Hints it says:
"So, how does one get the latest GS for Scribus and GSview - without  
breaking your existing distribution printing setup? The secret: a  
parallel build of GS.
Disclaimer: This works for me. It could wreck your system, catch your  
hair on fire and other nastiness." This is way over my head – I don't  
even know what a "build" is!

And I am totally clueless on what to do with the "corresponding"  
ghostpdl 1.54 that I downloaded with Ghostscript 8.64. I don't know  
what it is or even if I really need it.

I am a computer novice and would very much appreciate it if someone  
could give me step by step commands to upgrade to Ghostscript 8.64  
and also tell me what to do with Ghostpdl 1.54. or where I can go to  
get these explicit commands. I don't have enough experience to  
understand explanations and descriptions. Either there is a command  
path procedure for Mac users to upgrade to Ghostscript 8.64 or their  

Or I can delete Scribus and start all over if someone can give me the  
explicit commands to install Ghostscript 8.64 directly from my  
desktop into "Macintosh HD" so that when I download Scribus again it  
can find it and incorporate it the way it did with the earlier  
installed Ghostscript 8.57. Can I just drop the Ghostscript 8.64  
folder on the Macintosh HD icon?

This is my first posting and if this mailing list does not deal  
directly and explicitly with such basic issues for Mac users please  
let me know.

Thank you for any assistance. 
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.scribus.net/pipermail/scribus/attachments/20090601/1ced0b8c/attachment.htm>

More information about the scribus mailing list